Net::SSH::Perl::Key::ECDSA(3)

NAME
Net::SSH::Perl::Key::ECDSA - Elliptical Curve DSA key object base class

SYNOPSIS
    use Net::SSH::Perl::Key;
    my $key = Net::SSH::Perl::Key->new('ECDSA521');

DESCRIPTION
Net::SSH::Perl::Key::ECDSA subclasses Net::SSH::Perl::Key to implement the base class of an elliptical curve DSA key object. The underlying implementation is provided by Crypt::PK::ECC, and this class wraps around that module to provide SSH-specific functionality (eg. taking in a Net::SSH::Perl::Buffer blob and transforming it into a key object).

USAGE
Net::SSH::Perl::Key::ECDSA implements the interface described in the documentation for Net::SSH::Perl::Key. Any differences or additions are described here.

  $key->read_private($file [, $passphrase])
Since this class is a base class, the read_private method reblesses to the subclass based on the key type loaded.

  $key->sign($data)
Wraps around Crypt::PK::ECC::sign_message to sign $data using the key $key, then encodes that signature into an SSH-compatible signature blob.

Returns the signature blob.

  $key->verify($signature, $data)
Given a signature blob $signature and the original signed data $data, attempts to verify the signature using the key $key. This wraps around Crypt::PK::ECC::verify_message to perform the core verification.

$signature should be an SSH-compatible signature blob, as returned from sign; $data should be a string of data, as passed to sign.

Returns true if the verification succeeds, false otherwise.

AUTHOR & COPYRIGHTS
Lance Kinley E<lkinley@loyaltymethods.com>

Copyright (c) 2016 Loyalty Methods, Inc.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 191:
    Unknown E content in E<lkinley@loyaltymethods.com>